Debian Bug report logs - #681270
causes FTBFS of pymvpa2 on s390x: TypeError: Improper input parameters in leastsq call

version graph

Package: python-scipy; Maintainer for python-scipy is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-scipy is src:python-scipy.

Reported by: yoh@onerussian.com

Date: Wed, 11 Jul 2012 20:18:05 UTC

Severity: serious

Found in version python-scipy/0.10.1+dfsg1-3

Fixed in version python-scipy/0.10.1+dfsg1-4

Done: Varun Hiremath <varun@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://projects.scipy.org/scipy/ticket/1700

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, team@pymvpa.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#681270; Package python-scipy. (Wed, 11 Jul 2012 20:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to yoh@onerussian.com:
New Bug report received and forwarded. Copy sent to team@pymvpa.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 11 Jul 2012 20:18:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: causes FTBFS of pymvpa2 on s390x: TypeError: Improper input parameters in leastsq call
Date: Wed, 11 Jul 2012 16:14:53 -0400
[Message part 1 (text/plain, inline)]
Package: python-scipy
Version: 0.10.1+dfsg1-3
Severity: serious
Justification: fails to build from source (but built successfully in the past)

Please see attached a somewhat minimalistic code to reproduce the
problem.

it fails only on s390x -- fine on s390 and any other architecture/port where
pymvpa2 was just built.

Traceback (most recent call last):
  File "scipy-fx-failure2.py", line 65, in <module>
    1.47441522,  1.78073152,  2.08704783,  2.39336413,  2.69968044]))
  File "scipy-fx-failure2.py", line 52, in least_sq_fit
    return leastsq(efx, params)
  File "/usr/lib/python2.7/dist-packages/scipy/optimize/minpack.py", line 324, in leastsq
    raise errors[info][1](errors[info][0])
TypeError: Improper input parameters.


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (600, 'unstable'), (300, 'experimental'), (100, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-scipy depends on:
ii  libamd2.2.0                        1:3.4.0-2
ii  libatlas3-base [liblapack.so.3gf]  3.8.4-7
ii  libatlas3gf-base                   3.8.4-7
ii  libblas3 [libblas3gf]              1.2.20110419-5
ii  libblas3gf                         1.2.20110419-5
ii  libc6                              2.13-33
ii  libgcc1                            1:4.7.1-2
ii  libgfortran3                       4.7.1-2
ii  liblapack3 [liblapack3gf]          3.4.1-4
ii  liblapack3gf                       3.4.1-4
ii  libquadmath0                       4.7.1-2
ii  libstdc++6                         4.7.1-2
ii  libumfpack5.4.0                    1:3.4.0-2
ii  python                             2.7.3~rc2-1
ii  python-numpy [python-numpy-abi9]   1:1.6.2-1
ii  python2.6                          2.6.8-0.2
ii  python2.7                          2.7.3~rc2-2.1

Versions of packages python-scipy recommends:
ii  g++ [c++-compiler]      4:4.7.1-1
ii  g++-4.4 [c++-compiler]  4.4.7-1
iu  g++-4.6 [c++-compiler]  4.6.3-8
ii  g++-4.7 [c++-compiler]  4.7.1-2
ii  python-dev              2.7.3~rc2-1
ii  python-imaging          1.1.7-4

Versions of packages python-scipy suggests:
ii  python [python-profiler]  2.7.3~rc2-1

-- no debconf information
[scipy-fx-failure2.py (text/x-python, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#681270; Package python-scipy. (Thu, 12 Jul 2012 14:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <denis@laxalde.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 12 Jul 2012 14:57:07 GMT) Full text and rfc822 format available.

Message #10 received at 681270@bugs.debian.org (full text, mbox):

From: Denis Laxalde <denis@laxalde.org>
To: yoh@onerussian.com, 681270@bugs.debian.org
Subject: Re: Bug#681270: causes FTBFS of pymvpa2 on s390x: TypeError: Improper input parameters in leastsq call
Date: Thu, 12 Jul 2012 10:55:42 -0400
[Message part 1 (text/plain, inline)]
tags 681270 +moreinfo
thanks

Yaroslav Halchenko wrote:
> Please see attached a somewhat minimalistic code to reproduce the
> problem.
>
> it fails only on s390x -- fine on s390 and any other architecture/port where
> pymvpa2 was just built.
>
> Traceback (most recent call last):
>    File "scipy-fx-failure2.py", line 65, in<module>
>      1.47441522,  1.78073152,  2.08704783,  2.39336413,  2.69968044]))
>    File "scipy-fx-failure2.py", line 52, in least_sq_fit
>      return leastsq(efx, params)
>    File "/usr/lib/python2.7/dist-packages/scipy/optimize/minpack.py", line 324, in leastsq
>      raise errors[info][1](errors[info][0])
> TypeError: Improper input parameters.

Does it occur when dual_gaussian returns np.nan? I'd help if you could 
attach the full output of your script and also print err in efx.

It is not clear to me why this is a bug in scipy. This exception comes 
from MINPACK's lmdif FORTRAN routine directly. It is often triggered 
when the objective function returns an array with wrong dimensions.

-- 
Denis Laxalde
[denis.vcf (text/x-vcard, attachment)]

Added tag(s) moreinfo. Request was from Denis Laxalde <denis@laxalde.org> to control@bugs.debian.org. (Thu, 12 Jul 2012 14:57:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#681270; Package python-scipy. (Thu, 12 Jul 2012 16:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 12 Jul 2012 16:21:06 GMT) Full text and rfc822 format available.

Message #17 received at 681270@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Denis Laxalde <denis@laxalde.org>
Cc: 681270@bugs.debian.org
Subject: Re: Bug#681270: causes FTBFS of pymvpa2 on s390x: TypeError: Improper input parameters in leastsq call
Date: Thu, 12 Jul 2012 12:18:43 -0400
[Message part 1 (text/plain, inline)]
On Thu, 12 Jul 2012, Denis Laxalde wrote:
> tags 681270 +moreinfo

as much as you like/need sir ;)

> Yaroslav Halchenko wrote:
> >Please see attached a somewhat minimalistic code to reproduce the
> >problem.

> >it fails only on s390x -- fine on s390 and any other architecture/port where
> >pymvpa2 was just built.

> >Traceback (most recent call last):
> >   File "scipy-fx-failure2.py", line 65, in<module>
> >     1.47441522,  1.78073152,  2.08704783,  2.39336413,  2.69968044]))
> >   File "scipy-fx-failure2.py", line 52, in least_sq_fit
> >     return leastsq(efx, params)
> >   File "/usr/lib/python2.7/dist-packages/scipy/optimize/minpack.py", line 324, in leastsq
> >     raise errors[info][1](errors[info][0])
> >TypeError: Improper input parameters.


>  I'd help if you
> could attach the full output of your script and also print err in
> efx.

Here is output of a script with print's (attached) -- so it doesn't get to
the next evaluation of efx:

(s390x-sid)yoh@zelenka:~/pymvpa2$ PYTHONPATH=/home/yoh/scipy/python-scipy-0.10.1+dfsg1 /usr/bin/python scipy-fx-failure3.py
EFX:  [  1.00000000e+03   5.00000000e-01   1.00000000e-01   1.00000000e+03
   8.00000000e-01   5.00000000e-02]
[-3.12032937 -2.81401307 -2.50769676 -2.20138046 -1.89506415 -1.58874784
 -1.28243154 -0.97611523 -0.66979893 -0.36348262 -0.05716631  0.24914999
  0.5554663   0.8617826   1.16809891  1.47441522  1.78073152  2.08704783
  2.39336413  2.69968044 -3.12032937 -2.81401307 -2.50769676 -2.20138046
 -1.89506415 -1.58874784 -1.28243154 -0.97611523 -0.66979893 -0.36348262
 -0.05716631  0.24914999  0.5554663   0.8617826   1.16809891  1.47441522
  1.78073152  2.08704783  2.39336413  2.69968044]
ERR:  [  1.00000000e+000  -1.30312768e-235  -1.45985159e-193  -1.37612526e-155
   5.00000000e+000   2.00000000e+000   6.00000000e+000   9.00000000e+000
   6.00000000e+000   1.20000000e+001   1.39992757e+001  -1.62591296e+002
  -3.40866838e+003  -3.71744395e+003   6.99999918e+000   5.00000000e+000
   2.00000000e+000   2.00000000e+000  -5.71959143e-075   1.00000000e+000
   1.00000000e+000  -1.30312768e-235  -1.45985159e-193  -1.37612526e-155
   5.00000000e+000   2.00000000e+000   6.00000000e+000   9.00000000e+000
   6.00000000e+000   1.20000000e+001   1.39992757e+001  -1.62591296e+002
  -3.40866838e+003  -3.71744395e+003   6.99999918e+000   5.00000000e+000
   2.00000000e+000   2.00000000e+000  -5.71959143e-075   1.00000000e+000]
EFX:  [  1.00000000e+03   5.00000000e-01   1.00000000e-01   1.00000000e+03
   8.00000000e-01   5.00000000e-02]
[-3.12032937 -2.81401307 -2.50769676 -2.20138046 -1.89506415 -1.58874784
 -1.28243154 -0.97611523 -0.66979893 -0.36348262 -0.05716631  0.24914999
  0.5554663   0.8617826   1.16809891  1.47441522  1.78073152  2.08704783
  2.39336413  2.69968044 -3.12032937 -2.81401307 -2.50769676 -2.20138046
 -1.89506415 -1.58874784 -1.28243154 -0.97611523 -0.66979893 -0.36348262
 -0.05716631  0.24914999  0.5554663   0.8617826   1.16809891  1.47441522
  1.78073152  2.08704783  2.39336413  2.69968044]
ERR:  [  1.00000000e+000  -1.30312768e-235  -1.45985159e-193  -1.37612526e-155
   5.00000000e+000   2.00000000e+000   6.00000000e+000   9.00000000e+000
   6.00000000e+000   1.20000000e+001   1.39992757e+001  -1.62591296e+002
  -3.40866838e+003  -3.71744395e+003   6.99999918e+000   5.00000000e+000
   2.00000000e+000   2.00000000e+000  -5.71959143e-075   1.00000000e+000
   1.00000000e+000  -1.30312768e-235  -1.45985159e-193  -1.37612526e-155
   5.00000000e+000   2.00000000e+000   6.00000000e+000   9.00000000e+000
   6.00000000e+000   1.20000000e+001   1.39992757e+001  -1.62591296e+002
  -3.40866838e+003  -3.71744395e+003   6.99999918e+000   5.00000000e+000
   2.00000000e+000   2.00000000e+000  -5.71959143e-075   1.00000000e+000]
Traceback (most recent call last):
  File "scipy-fx-failure3.py", line 66, in <module>
    1.47441522,  1.78073152,  2.08704783,  2.39336413,  2.69968044]))
  File "scipy-fx-failure3.py", line 53, in least_sq_fit
    return leastsq(efx, params)
  File "/home/yoh/scipy/python-scipy-0.10.1+dfsg1/scipy/optimize/minpack.py", line 324, in leastsq
    raise errors[info][1](errors[info][0])
TypeError: Improper input parameters.


Here is output of first 3 "blocks" (above there is 2, and then error) on
zelenka in s390 build:

(sid)yoh@zelenka:~/pymvpa2$ python scipy-fx-failure3.py | head -60
EFX:  [  1.00000000e+03   5.00000000e-01   1.00000000e-01   1.00000000e+03
   8.00000000e-01   5.00000000e-02]
[-3.12032937 -2.81401307 -2.50769676 -2.20138046 -1.89506415 -1.58874784
 -1.28243154 -0.97611523 -0.66979893 -0.36348262 -0.05716631  0.24914999
  0.5554663   0.8617826   1.16809891  1.47441522  1.78073152  2.08704783
  2.39336413  2.69968044 -3.12032937 -2.81401307 -2.50769676 -2.20138046
 -1.89506415 -1.58874784 -1.28243154 -0.97611523 -0.66979893 -0.36348262
 -0.05716631  0.24914999  0.5554663   0.8617826   1.16809891  1.47441522
  1.78073152  2.08704783  2.39336413  2.69968044]
ERR:  [  1.00000000e+000  -1.30312768e-235  -1.45985159e-193  -1.37612526e-155
   5.00000000e+000   2.00000000e+000   6.00000000e+000   9.00000000e+000
   6.00000000e+000   1.20000000e+001   1.39992757e+001  -1.62591296e+002
  -3.40866838e+003  -3.71744395e+003   6.99999918e+000   5.00000000e+000
   2.00000000e+000   2.00000000e+000  -5.71959143e-075   1.00000000e+000
   1.00000000e+000  -1.30312768e-235  -1.45985159e-193  -1.37612526e-155
   5.00000000e+000   2.00000000e+000   6.00000000e+000   9.00000000e+000
   6.00000000e+000   1.20000000e+001   1.39992757e+001  -1.62591296e+002
  -3.40866838e+003  -3.71744395e+003   6.99999918e+000   5.00000000e+000
   2.00000000e+000   2.00000000e+000  -5.71959143e-075   1.00000000e+000]
EFX:  [  1.00000000e+03   5.00000000e-01   1.00000000e-01   1.00000000e+03
   8.00000000e-01   5.00000000e-02]
[-3.12032937 -2.81401307 -2.50769676 -2.20138046 -1.89506415 -1.58874784
 -1.28243154 -0.97611523 -0.66979893 -0.36348262 -0.05716631  0.24914999
  0.5554663   0.8617826   1.16809891  1.47441522  1.78073152  2.08704783
  2.39336413  2.69968044 -3.12032937 -2.81401307 -2.50769676 -2.20138046
 -1.89506415 -1.58874784 -1.28243154 -0.97611523 -0.66979893 -0.36348262
 -0.05716631  0.24914999  0.5554663   0.8617826   1.16809891  1.47441522
  1.78073152  2.08704783  2.39336413  2.69968044]
ERR:  [  1.00000000e+000  -1.30312768e-235  -1.45985159e-193  -1.37612526e-155
   5.00000000e+000   2.00000000e+000   6.00000000e+000   9.00000000e+000
   6.00000000e+000   1.20000000e+001   1.39992757e+001  -1.62591296e+002
  -3.40866838e+003  -3.71744395e+003   6.99999918e+000   5.00000000e+000
   2.00000000e+000   2.00000000e+000  -5.71959143e-075   1.00000000e+000
   1.00000000e+000  -1.30312768e-235  -1.45985159e-193  -1.37612526e-155
   5.00000000e+000   2.00000000e+000   6.00000000e+000   9.00000000e+000
   6.00000000e+000   1.20000000e+001   1.39992757e+001  -1.62591296e+002
  -3.40866838e+003  -3.71744395e+003   6.99999918e+000   5.00000000e+000
   2.00000000e+000   2.00000000e+000  -5.71959143e-075   1.00000000e+000]
EFX:  [  1.00000000e+03   5.00000000e-01   1.00000000e-01   1.00000000e+03
   8.00000000e-01   5.00000000e-02]
[-3.12032937 -2.81401307 -2.50769676 -2.20138046 -1.89506415 -1.58874784
 -1.28243154 -0.97611523 -0.66979893 -0.36348262 -0.05716631  0.24914999
  0.5554663   0.8617826   1.16809891  1.47441522  1.78073152  2.08704783
  2.39336413  2.69968044 -3.12032937 -2.81401307 -2.50769676 -2.20138046
 -1.89506415 -1.58874784 -1.28243154 -0.97611523 -0.66979893 -0.36348262
 -0.05716631  0.24914999  0.5554663   0.8617826   1.16809891  1.47441522
  1.78073152  2.08704783  2.39336413  2.69968044]
ERR:  [  1.00000000e+000  -1.30312768e-235  -1.45985159e-193  -1.37612526e-155
   5.00000000e+000   2.00000000e+000   6.00000000e+000   9.00000000e+000
   6.00000000e+000   1.20000000e+001   1.39992757e+001  -1.62591296e+002
  -3.40866838e+003  -3.71744395e+003   6.99999918e+000   5.00000000e+000
   2.00000000e+000   2.00000000e+000  -5.71959143e-075   1.00000000e+000
   1.00000000e+000  -1.30312768e-235  -1.45985159e-193  -1.37612526e-155
   5.00000000e+000   2.00000000e+000   6.00000000e+000   9.00000000e+000
   6.00000000e+000   1.20000000e+001   1.39992757e+001  -1.62591296e+002
  -3.40866838e+003  -3.71744395e+003   6.99999918e+000   5.00000000e+000
   2.00000000e+000   2.00000000e+000  -5.71959143e-075   1.00000000e+000]
...

> Does it occur when dual_gaussian returns np.nan?

not in this case -- but if I always output nan's -- same error with similar output

(s390x-sid)yoh@zelenka:~/pymvpa2$ PYTHONPATH=/home/yoh/scipy/python-scipy-0.10.1+dfsg1 /usr/bin/python scipy-fx-failure3-nan.py 
EFX:  [  1.00000000e+03   5.00000000e-01   1.00000000e-01   1.00000000e+03
   8.00000000e-01   5.00000000e-02]
[-3.12032937 -2.81401307 -2.50769676 -2.20138046 -1.89506415 -1.58874784
 -1.28243154 -0.97611523 -0.66979893 -0.36348262 -0.05716631  0.24914999
  0.5554663   0.8617826   1.16809891  1.47441522  1.78073152  2.08704783
  2.39336413  2.69968044 -3.12032937 -2.81401307 -2.50769676 -2.20138046
 -1.89506415 -1.58874784 -1.28243154 -0.97611523 -0.66979893 -0.36348262
 -0.05716631  0.24914999  0.5554663   0.8617826   1.16809891  1.47441522
  1.78073152  2.08704783  2.39336413  2.69968044]
ERR:  [ nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan
  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan
  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan]
EFX:  [  1.00000000e+03   5.00000000e-01   1.00000000e-01   1.00000000e+03
   8.00000000e-01   5.00000000e-02]
[-3.12032937 -2.81401307 -2.50769676 -2.20138046 -1.89506415 -1.58874784
 -1.28243154 -0.97611523 -0.66979893 -0.36348262 -0.05716631  0.24914999
  0.5554663   0.8617826   1.16809891  1.47441522  1.78073152  2.08704783
  2.39336413  2.69968044 -3.12032937 -2.81401307 -2.50769676 -2.20138046
 -1.89506415 -1.58874784 -1.28243154 -0.97611523 -0.66979893 -0.36348262
 -0.05716631  0.24914999  0.5554663   0.8617826   1.16809891  1.47441522
  1.78073152  2.08704783  2.39336413  2.69968044]
ERR:  [ nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan
  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan
  nan  nan  nan  nan  nan  nan  nan  nan  nan  nan]
Traceback (most recent call last):
  File "scipy-fx-failure3-nan.py", line 66, in <module>
    1.47441522,  1.78073152,  2.08704783,  2.39336413,  2.69968044]))
  File "scipy-fx-failure3-nan.py", line 53, in least_sq_fit
    return leastsq(efx, params)
  File "/home/yoh/scipy/python-scipy-0.10.1+dfsg1/scipy/optimize/minpack.py", line 324, in leastsq
    raise errors[info][1](errors[info][0])
TypeError: Improper input parameters.


> It is not clear to me why this is a bug in scipy. This exception
> comes from MINPACK's lmdif FORTRAN routine directly. 

hm... and Debian package of scipy falls into the trap of not using system-wide
minpack library but internal scipy's copy:

$> ls **/minpack*
scipy/optimize/minpack.h  scipy/optimize/minpack.py  scipy/optimize/minpack2/minpack2.pyf

scipy/optimize/minpack:
chkder.f  dogleg.f  dpmpar.f  enorm.f  fdjac1.f  fdjac2.f  hybrd.f  hybrd1.f  hybrj.f  hybrj1.f  lmder.f  lmder1.f  lmdif.f  lmdif1.f  lmpar.f  lmstr.f  lmstr1.f  qform.f  qrfac.f  qrsolv.f  r1mpyq.f  r1updt.f  rwupdt.f

scipy/optimize/minpack2:
dcsrch.f  dcstep.f  minpack2.pyf

hence -- bug against scipy ;)

FWIW -- there is no difference in lmdif*.f between scipy's and system-wide
library:

novo:/tmp/python-scipy-0.10.1+dfsg1
$> diff scipy/optimize/minpack/lmdif.f /tmp/minpack-19961126+dfsg1/lmdif.f 
$> diff scipy/optimize/minpack/lmdif1.f /tmp/minpack-19961126+dfsg1/lmdif1.f 
$>

> It is often
> triggered when the objective function returns an array with wrong
> dimensions.

although might be the case due to some casting issue -- it is specific to s390x
-- works just fine on any other architecture, including s390 ;)

BTW -- there is a bulk of possibly related unittests failures on s390x (if only
someone was brave enough to take care about
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=678546), e.g.  (a piece
of diff from output on s390)...

> FAIL: test_datatypes.test_uint64_max
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
>     self.test(*self.arg)
>   File "/usr/lib/python2.7/dist-packages/scipy/ndimage/tests/test_datatypes.py", line 57, in test_uint64_max
>     assert_true(x[1] > (2**63))
> AssertionError: False is not true
> 
> ======================================================================
> FAIL: test_full_output (test_minpack.TestLeastSq)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/dist-packages/scipy/optimize/tests/test_minpack.py", line 160, in test_full_output
>     assert_(ier in (1,2,3,4), 'solution not found: %s'%mesg)
>   File "/usr/lib/pymodules/python2.7/numpy/testing/utils.py", line 34, in assert_
>     raise AssertionError(msg)
> AssertionError: solution not found: Improper input parameters.
> 
> ======================================================================
> FAIL: test_input_untouched (test_minpack.TestLeastSq)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/dist-packages/scipy/optimize/tests/test_minpack.py", line 169, in test_input_untouched
>     assert_(ier in (1,2,3,4), 'solution not found: %s'%mesg)
>   File "/usr/lib/pymodules/python2.7/numpy/testing/utils.py", line 34, in assert_
>     raise AssertionError(msg)
> AssertionError: solution not found: Improper input parameters.
> 
> ======================================================================

full copies of the two are attached now (if get allowed by Debian BTS).
alternatively find them on

http://www.onerussian.com/tmp/nosetests-scipy-s390.log.gz
http://www.onerussian.com/tmp/nosetests-scipy-s390x.log.gz

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        
[scipy-fx-failure3.py (text/x-python, attachment)]
[nosetests-scipy-s390.log.gz (application/x-gzip, attachment)]
[nosetests-scipy-s390x.log.gz (application/x-gzip, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#681270; Package python-scipy. (Thu, 12 Jul 2012 17:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <denis@laxalde.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 12 Jul 2012 17:39:09 GMT) Full text and rfc822 format available.

Message #22 received at 681270@bugs.debian.org (full text, mbox):

From: Denis Laxalde <denis@laxalde.org>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: 681270@bugs.debian.org
Subject: Re: Bug#681270: causes FTBFS of pymvpa2 on s390x: TypeError: Improper input parameters in leastsq call
Date: Thu, 12 Jul 2012 13:35:27 -0400
tags 681270 -moreinfo
thanks

Yaroslav Halchenko wrote:
> BTW -- there is a bulk of possibly related unittests failures on s390x (if only
> someone was brave enough to take care about
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=678546), e.g.  (a piece
> of diff from output on s390)...

Ok, scipy is indeed broken on this architecture... Enabling the tests as 
suggested would make it FTBFS but I agree that it would be a good thing 
in general.

-- 
Denis Laxalde




Removed tag(s) moreinfo. Request was from Denis Laxalde <denis@laxalde.org> to control@bugs.debian.org. (Thu, 12 Jul 2012 17:39:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#681270; Package python-scipy. (Thu, 12 Jul 2012 19:23:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 12 Jul 2012 19:24:02 GMT) Full text and rfc822 format available.

Message #29 received at 681270@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Denis Laxalde <denis@laxalde.org>
Cc: 681270@bugs.debian.org
Subject: Re: Bug#681270: causes FTBFS of pymvpa2 on s390x: TypeError: Improper input parameters in leastsq call
Date: Thu, 12 Jul 2012 14:18:26 -0400
On Thu, 12 Jul 2012, Denis Laxalde wrote:
> >BTW -- there is a bulk of possibly related unittests failures on s390x (if only
> >someone was brave enough to take care about
> >http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=678546), e.g.  (a piece
> >of diff from output on s390)...

> Ok, scipy is indeed broken on this architecture... Enabling the
> tests as suggested would make it FTBFS but I agree that it would be
> a good thing in general.

just a note --- there would also be at least 1 non-KnownFailureTest on amd64
(ran on my laptop) (failed on s390x as well):

======================================================================
FAIL: test_iv_cephes_vs_amos_mass_test (test_basic.TestBessel)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/scipy/special/tests/test_basic.py", line 1656, in test_iv_cephes_vs_amos_mass_test
    assert_(dc[k] < 1e-9, (v[k], x[k], special.iv(v[k], x[k]), special.iv(v[k], x[k]+0j)))
  File "/usr/lib/pymodules/python2.7/numpy/testing/utils.py", line 34, in assert_
    raise AssertionError(msg)
AssertionError: (189.2947429454936, 3.0238805556481037, 4.089165443940765e-317, 0j)

and majority of those s390x-specific failures seems to point to minpack.
so it might be that figuring out this bug would resolve quite a few failing
tests on s390x

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#681270; Package python-scipy. (Thu, 12 Jul 2012 19:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 12 Jul 2012 19:24:12 GMT) Full text and rfc822 format available.

Message #34 received at 681270@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Denis Laxalde <denis@laxalde.org>
Cc: 681270@bugs.debian.org
Subject: Re: Bug#681270: causes FTBFS of pymvpa2 on s390x: TypeError: Improper input parameters in leastsq call
Date: Thu, 12 Jul 2012 14:46:08 -0400
and keeping things going forward -- building current head of scipy

at once gcc warnings  already become informative 
(once again diff from s390) and might be actually pointing to the issue we are enjoing

6509a6510,6526
> In file included from scipy/optimize/_minpackmodule.c:7:0:
> scipy/optimize/__minpack.h: In function ‘minpack_hybrd’:
> scipy/optimize/__minpack.h:291:3: warning: passing argument 2 of ‘hybrd_’ from incompatible pointer type [enabled by default]
> scipy/optimize/__minpack.h:51:13: note: expected ‘int *’ but argument is of type ‘npy_intp *’
> scipy/optimize/__minpack.h:291:3: warning: passing argument 19 of ‘hybrd_’ from incompatible pointer type [enabled by default]
> scipy/optimize/__minpack.h:51:13: note: expected ‘int *’ but argument is of type ‘npy_intp *’
> scipy/optimize/__minpack.h: In function ‘minpack_hybrj’:
> scipy/optimize/__minpack.h:391:3: warning: passing argument 2 of ‘hybrj_’ from incompatible pointer type [enabled by default]
> scipy/optimize/__minpack.h:52:13: note: expected ‘int *’ but argument is of type ‘npy_intp *’
> scipy/optimize/__minpack.h:391:3: warning: passing argument 17 of ‘hybrj_’ from incompatible pointer type [enabled by default]
> scipy/optimize/__minpack.h:52:13: note: expected ‘int *’ but argument is of type ‘npy_intp *’
> scipy/optimize/__minpack.h: In function ‘minpack_lmdif’:
> scipy/optimize/__minpack.h:489:3: warning: passing argument 3 of ‘lmdif_’ from incompatible pointer type [enabled by default]
> scipy/optimize/__minpack.h:53:13: note: expected ‘int *’ but argument is of type ‘npy_intp *’
> scipy/optimize/__minpack.h: In function ‘minpack_lmder’:
> scipy/optimize/__minpack.h:585:3: warning: passing argument 3 of ‘lmder_’ from incompatible pointer type [enabled by default]
> scipy/optimize/__minpack.h:54:13: note: expected ‘int *’ but argument is of type ‘npy_intp *’
6888a6906,6907
> scipy/spatial/ckdtree.c: In function ‘__pyx_pf_5scipy_7spatial_7ckdtree_7cKDTree_2__dealloc__’:
> scipy/spatial/ckdtree.c:3737:17: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]


On Thu, 12 Jul 2012, Denis Laxalde wrote:

> tags 681270 -moreinfo
> thanks

> Yaroslav Halchenko wrote:
> >BTW -- there is a bulk of possibly related unittests failures on s390x (if only
> >someone was brave enough to take care about
> >http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=678546), e.g.  (a piece
> >of diff from output on s390)...

> Ok, scipy is indeed broken on this architecture... Enabling the
> tests as suggested would make it FTBFS but I agree that it would be
> a good thing in general.
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#681270; Package python-scipy. (Thu, 12 Jul 2012 20:57:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 12 Jul 2012 20:57:14 GMT) Full text and rfc822 format available.

Message #39 received at 681270@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Denis Laxalde <denis@laxalde.org>
Cc: 681270@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#681270: causes FTBFS of pymvpa2 on s390x: TypeError: Improper input parameters in leastsq call
Date: Thu, 12 Jul 2012 16:54:50 -0400
that was it -- assuring 'int' storage to be passed instead of npy_intp
(which is long int on s390x and int on s390) resolves this issue...

now I wonder what would be the cleanest patch ;-) (also running
unittests with this fix to see how many tests get "fixed")


On Thu, 12 Jul 2012, Yaroslav Halchenko wrote:

> and keeping things going forward -- building current head of scipy

> at once gcc warnings  already become informative 
> (once again diff from s390) and might be actually pointing to the issue we are enjoing

> 6509a6510,6526
> > In file included from scipy/optimize/_minpackmodule.c:7:0:
> > scipy/optimize/__minpack.h: In function ‘minpack_hybrd’:
> > scipy/optimize/__minpack.h:291:3: warning: passing argument 2 of ‘hybrd_’ from incompatible pointer type [enabled by default]
> > scipy/optimize/__minpack.h:51:13: note: expected ‘int *’ but argument is of type ‘npy_intp *’
> > scipy/optimize/__minpack.h:291:3: warning: passing argument 19 of ‘hybrd_’ from incompatible pointer type [enabled by default]
> > scipy/optimize/__minpack.h:51:13: note: expected ‘int *’ but argument is of type ‘npy_intp *’
> > scipy/optimize/__minpack.h: In function ‘minpack_hybrj’:
> > scipy/optimize/__minpack.h:391:3: warning: passing argument 2 of ‘hybrj_’ from incompatible pointer type [enabled by default]
> > scipy/optimize/__minpack.h:52:13: note: expected ‘int *’ but argument is of type ‘npy_intp *’
> > scipy/optimize/__minpack.h:391:3: warning: passing argument 17 of ‘hybrj_’ from incompatible pointer type [enabled by default]
> > scipy/optimize/__minpack.h:52:13: note: expected ‘int *’ but argument is of type ‘npy_intp *’
> > scipy/optimize/__minpack.h: In function ‘minpack_lmdif’:
> > scipy/optimize/__minpack.h:489:3: warning: passing argument 3 of ‘lmdif_’ from incompatible pointer type [enabled by default]
> > scipy/optimize/__minpack.h:53:13: note: expected ‘int *’ but argument is of type ‘npy_intp *’
> > scipy/optimize/__minpack.h: In function ‘minpack_lmder’:
> > scipy/optimize/__minpack.h:585:3: warning: passing argument 3 of ‘lmder_’ from incompatible pointer type [enabled by default]
> > scipy/optimize/__minpack.h:54:13: note: expected ‘int *’ but argument is of type ‘npy_intp *’
> 6888a6906,6907
> > scipy/spatial/ckdtree.c: In function ‘__pyx_pf_5scipy_7spatial_7ckdtree_7cKDTree_2__dealloc__’:
> > scipy/spatial/ckdtree.c:3737:17: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#681270; Package python-scipy. (Thu, 12 Jul 2012 21:25:00 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <denis@laxalde.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 12 Jul 2012 21:26:00 GMT) Full text and rfc822 format available.

Message #44 received at 681270@bugs.debian.org (full text, mbox):

From: Denis Laxalde <denis@laxalde.org>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: 681270@bugs.debian.org
Subject: Re: Bug#681270: causes FTBFS of pymvpa2 on s390x: TypeError: Improper input parameters in leastsq call
Date: Thu, 12 Jul 2012 17:05:49 -0400
Yaroslav Halchenko wrote:
> that was it -- assuring 'int' storage to be passed instead of npy_intp
> (which is long int on s390x and int on s390) resolves this issue...

Good to know. fitpack (interpolate) might also benefit from this.

> now I wonder what would be the cleanest patch;-)  (also running
> unittests with this fix to see how many tests get "fixed")

I don't know myself. Best is probably to ask on scipy-dev mailing list 
or to report the bug in scipy tracker.

-- 
Denis Laxalde




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#681270; Package python-scipy. (Fri, 13 Jul 2012 02:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 13 Jul 2012 02:13:01 GMT) Full text and rfc822 format available.

Message #49 received at 681270@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Denis Laxalde <denis@laxalde.org>
Cc: 681270@bugs.debian.org
Subject: Re: Bug#681270: causes FTBFS of pymvpa2 on s390x: TypeError: Improper input parameters in leastsq call
Date: Thu, 12 Jul 2012 17:15:08 -0400
On Thu, 12 Jul 2012, Denis Laxalde wrote:
> >that was it -- assuring 'int' storage to be passed instead of npy_intp
> >(which is long int on s390x and int on s390) resolves this issue...
> Good to know. fitpack (interpolate) might also benefit from this.

may be -- at least there were no gcc warnings about incompatible casts

> >now I wonder what would be the cleanest patch;-)  (also running
> >unittests with this fix to see how many tests get "fixed")

> I don't know myself. Best is probably to ask on scipy-dev mailing
> list or to report the bug in scipy tracker.

yeah -- I will report upstream -- my C/C++-foo is too aged.

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Set Bug forwarded-to-address to 'http://projects.scipy.org/scipy/ticket/1700'. Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. (Fri, 13 Jul 2012 02:13:47 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from varun@users.alioth.debian.org to control@bugs.debian.org. (Sun, 22 Jul 2012 02:15:03 GMT) Full text and rfc822 format available.

Reply sent to Varun Hiremath <varun@debian.org>:
You have taken responsibility. (Sun, 22 Jul 2012 04:21:10 GMT) Full text and rfc822 format available.

Notification sent to yoh@onerussian.com:
Bug acknowledged by developer. (Sun, 22 Jul 2012 04:21:10 GMT) Full text and rfc822 format available.

Message #58 received at 681270-close@bugs.debian.org (full text, mbox):

From: Varun Hiremath <varun@debian.org>
To: 681270-close@bugs.debian.org
Subject: Bug#681270: fixed in python-scipy 0.10.1+dfsg1-4
Date: Sun, 22 Jul 2012 04:17:22 +0000
Source: python-scipy
Source-Version: 0.10.1+dfsg1-4

We believe that the bug you reported is fixed in the latest version of
python-scipy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 681270@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Varun Hiremath <varun@debian.org> (supplier of updated python-scipy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 21 Jul 2012 17:23:02 -0400
Source: python-scipy
Binary: python-scipy python3-scipy python-scipy-dbg python3-scipy-dbg
Architecture: source amd64
Version: 0.10.1+dfsg1-4
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Varun Hiremath <varun@debian.org>
Description: 
 python-scipy - scientific tools for Python
 python-scipy-dbg - scientific tools for Python - debugging symbols
 python3-scipy - scientific tools for Python 3
 python3-scipy-dbg - scientific tools for Python 3 - debugging symbols
Closes: 681270 682030
Changes: 
 python-scipy (0.10.1+dfsg1-4) unstable; urgency=low
 .
   [ Julian Taylor ]
   * use dh_numpy3
     - build depend on python3-numpy >= 1:1.6.2~rc1-1~
   * debian/rules: remove reference to pyshared
 .
   [ Varun Hiremath ]
   * debian/patches:
     - add dtype.diff (Closes: #682030)
     - add up_minpack_ints.diff, thanks to Yaroslav Halchenko (Closes: #681270)
Checksums-Sha1: 
 abe10eddf1383545d311fcc3ffa85de2b80324e1 2641 python-scipy_0.10.1+dfsg1-4.dsc
 08cca9b58ccecc6d753e725686094fca256f4100 13652 python-scipy_0.10.1+dfsg1-4.debian.tar.gz
 e67b2794f792d792d3892a1721e2b18a15616b18 12202152 python-scipy_0.10.1+dfsg1-4_amd64.deb
 a92dd1580174552e9c4b3797a67bd1eb8f08c71a 7118334 python3-scipy_0.10.1+dfsg1-4_amd64.deb
 3da4b6485f85277a58ba7761d9bc8ce3bc26f391 29377734 python-scipy-dbg_0.10.1+dfsg1-4_amd64.deb
 7de7d861be7519bd6cdbcd1379931f0fcea0febb 14671086 python3-scipy-dbg_0.10.1+dfsg1-4_amd64.deb
Checksums-Sha256: 
 6e9fe6ca37862314feac4e4a18bfc0f9c613fffdc3ae9202c225093af4c2296f 2641 python-scipy_0.10.1+dfsg1-4.dsc
 4517fae8f58efae0f74082ce4c0408f98ca2b96a6805ec319631a7fe6e45cff5 13652 python-scipy_0.10.1+dfsg1-4.debian.tar.gz
 611a995c7b4c7e18ce5ca4680fb203fda0933610d833c457c4d9f9b3d01e4e17 12202152 python-scipy_0.10.1+dfsg1-4_amd64.deb
 d829d5753d9d4351f3ea60d1c4a402e14691b91a360dd518a8b8376266eb7937 7118334 python3-scipy_0.10.1+dfsg1-4_amd64.deb
 3b0034e58176c0476f7590e036c0ec46fc980c3d267ab7d906938983e4f1692a 29377734 python-scipy-dbg_0.10.1+dfsg1-4_amd64.deb
 b86e339d69be2e6a2114920eeefbe5dedbbc89691cd85cdbfe6b7248e81a309b 14671086 python3-scipy-dbg_0.10.1+dfsg1-4_amd64.deb
Files: 
 096ecbe1675717fd2161c680f8d76f2a 2641 python extra python-scipy_0.10.1+dfsg1-4.dsc
 9abf78534517f31910690af15cc0b6a4 13652 python extra python-scipy_0.10.1+dfsg1-4.debian.tar.gz
 edb5ae0b6a922f763c6e0df2568ef2e8 12202152 python extra python-scipy_0.10.1+dfsg1-4_amd64.deb
 dee0b8f36783e058e0164eb688b878bb 7118334 python extra python3-scipy_0.10.1+dfsg1-4_amd64.deb
 841ae4da141e460b38e6be0ce4171459 29377734 debug extra python-scipy-dbg_0.10.1+dfsg1-4_amd64.deb
 5afa949614500c3e1f95f5f0faa28b3e 14671086 debug extra python3-scipy-dbg_0.10.1+dfsg1-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJQC3uXAAoJEHA3PPEpDbnOJxcQAJhdCIkc4yj8jRmxZAVPChSz
LD+cYAwiMxVaZ/92RIFvrfnfmdiQAFQ9GWUmfmOkrpC5a4jqf1YDGUgWkhcmJNQl
VMQAh8yzSWNiSGkxQJlVG6+WGDbNLlyTMMKFIt1/csa5ZYPHA4qsufuwiiVaaybZ
dCCZr1QnuiDF/myrnhQ77yklsLatqL7toAQqBdntd26ApYtmYtGDhNLIJpCKPrGh
/2XYito6yYeJlMTqm5c8T4xUUPBr0u0I+hX7HkHfP7JjT9qCkpTkyourdI3QvGuh
r84qK2YHm/XR5dhVz8C2Qbdnb24n1fjgyCwNIDJLEWUnXciV9Y2Mk7mBvNUZy1uy
9z+z6J4+MMQgbFG/R384wn/yfLLUtRU8nVKqQtt9ShIw6XJmOYnxuEh5UiJJhKHR
28qqKeggAGZmM86AF9sFqff2/bjrCCQj6WJtebCHI8BEVWExAPeJ56TSMkhP1aCc
07VocL3FF6IiOhlFafA3VZQ0N3PoWLZQNiER197Wt2mXy/YP1f0Bc4dG/mmpUrDr
U8LTlnyc+n13GLNmzCgnMYZcJffzBHTpS84VFLsEFewxPSRstNUzrrCrHiImDqP5
zeS6iYtaZ0z3N7eWo82P3kSBtLabZ3j35biFldrFLx0jjHbMJ41qGRTQ/2/+YiR5
sFk2Kkc/mgLNgoPCpC00
=Sdp4
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Sep 2012 07:29:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:38:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.